<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Page Simple</title>

    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet"
        href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
    <!-- DataTables -->
    <link rel="stylesheet" href="plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
    <link rel="stylesheet" href="plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css">
</head>

<body class="hold-transition sidebar-mini">
    <!-- Site wrapper -->
    <div class="wrapper">
        <!-- Navbar -->
        <nav class="main-header navbar navbar-expand navbar-white navbar-light">
            <!-- Left navbar links -->
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
                </li>
                <li class="nav-item d-none d-sm-inline-block">
                    <a href="../../index3.html" class="nav-link">Home</a>
                </li>
                <li class="nav-item d-none d-sm-inline-block">
                    <a href="#" class="nav-link">Contact</a>
                </li>
            </ul>

            <!-- Right navbar links -->
            <ul class="navbar-nav ml-auto">
                <!-- Navbar Search -->
                <li class="nav-item">
                    <a class="nav-link" data-widget="navbar-search" href="#" role="button">
                        <i class="fas fa-search"></i>
                    </a>
                    <div class="navbar-search-block">
                        <form class="form-inline">
                            <div class="input-group input-group-sm">
                                <input class="form-control form-control-navbar" type="search" placeholder="Search"
                                    aria-label="Search">
                                <div class="input-group-append">
                                    <button class="btn btn-navbar" type="submit">
                                        <i class="fas fa-search"></i>
                                    </button>
                                    <button class="btn btn-navbar" type="button" data-widget="navbar-search">
                                        <i class="fas fa-times"></i>
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                </li>

                <!-- Messages Dropdown Menu -->
                <li class="nav-item dropdown">
                    <a class="nav-link" data-toggle="dropdown" href="#">
                        <i class="far fa-comments"></i>
                        <span class="badge badge-danger navbar-badge">3</span>
                    </a>
                    <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
                        <a href="#" class="dropdown-item">
                            <!-- Message Start -->
                            <div class="media">
                                <img src="dist/img/user1-128x128.jpg" alt="User Avatar"
                                    class="img-size-50 mr-3 img-circle">
                                <div class="media-body">
                                    <h3 class="dropdown-item-title">
                                        Brad Diesel
                                        <span class="float-right text-sm text-danger"><i class="fas fa-star"></i></span>
                                    </h3>
                                    <p class="text-sm">Call me whenever you can...</p>
                                    <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
                                </div>
                            </div>
                            <!-- Message End -->
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item">
                            <!-- Message Start -->
                            <div class="media">
                                <img src="dist/img/user8-128x128.jpg" alt="User Avatar"
                                    class="img-size-50 img-circle mr-3">
                                <div class="media-body">
                                    <h3 class="dropdown-item-title">
                                        John Pierce
                                        <span class="float-right text-sm text-muted"><i class="fas fa-star"></i></span>
                                    </h3>
                                    <p class="text-sm">I got your message bro</p>
                                    <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
                                </div>
                            </div>
                            <!-- Message End -->
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item">
                            <!-- Message Start -->
                            <div class="media">
                                <img src="dist/img/user3-128x128.jpg" alt="User Avatar"
                                    class="img-size-50 img-circle mr-3">
                                <div class="media-body">
                                    <h3 class="dropdown-item-title">
                                        Nora Silvester
                                        <span class="float-right text-sm text-warning"><i
                                                class="fas fa-star"></i></span>
                                    </h3>
                                    <p class="text-sm">The subject goes here</p>
                                    <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
                                </div>
                            </div>
                            <!-- Message End -->
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item dropdown-footer">See All Messages</a>
                    </div>
                </li>
                <!-- Notifications Dropdown Menu -->
                <li class="nav-item dropdown">
                    <a class="nav-link" data-toggle="dropdown" href="#">
                        <i class="far fa-bell"></i>
                        <span class="badge badge-warning navbar-badge">15</span>
                    </a>
                    <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
                        <span class="dropdown-item dropdown-header">15 Notifications</span>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item">
                            <i class="fas fa-envelope mr-2"></i> 4 new messages
                            <span class="float-right text-muted text-sm">3 mins</span>
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item">
                            <i class="fas fa-users mr-2"></i> 8 friend requests
                            <span class="float-right text-muted text-sm">12 hours</span>
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item">
                            <i class="fas fa-file mr-2"></i> 3 new reports
                            <span class="float-right text-muted text-sm">2 days</span>
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item dropdown-footer">See All Notifications</a>
                    </div>
                </li>
                <li class="nav-item">
                    <a class="nav-link" data-widget="fullscreen" href="#" role="button">
                        <i class="fas fa-expand-arrows-alt"></i>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" data-widget="control-sidebar" data-slide="true" href="#" role="button">
                        <i class="fas fa-th-large"></i>
                    </a>
                </li>
            </ul>
        </nav>
        <!-- /.navbar -->

        <!-- Main Sidebar Container -->
        <aside class="main-sidebar sidebar-dark-primary elevation-4">
            <!-- Brand Logo -->
            <a href="../../index3.html" class="brand-link">
                <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3"
                    style="opacity: .8">
                <span class="brand-text font-weight-light">Devcamp</span>
            </a>

            <!-- Sidebar -->
            <div class="sidebar">
                <!-- Sidebar user (optional) -->
                <div class="user-panel mt-3 pb-3 mb-3 d-flex">
                    <div class="image">
                        <img src="dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
                    </div>
                    <div class="info">
                        <a href="#" class="d-block">DaHQ</a>
                    </div>
                </div>

                <!-- SidebarSearch Form -->
                <div class="form-inline">
                    <div class="input-group" data-widget="sidebar-search">
                        <input class="form-control form-control-sidebar" type="search" placeholder="Search"
                            aria-label="Search">
                        <div class="input-group-append">
                            <button class="btn btn-sidebar">
                                <i class="fas fa-search fa-fw"></i>
                            </button>
                        </div>
                    </div>
                </div>

                <!-- Sidebar Menu -->
                <nav class="mt-2">
                    <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu"
                        data-accordion="false">
                        <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
                        <li class="nav-item menu-open">
                            <a href="#" class="nav-link act active">
                                <i class="nav-icon fas fa-tachometer-alt"></i>
                                <p>
                                    Dashboard
                                    <i class="right fas fa-angle-left"></i>
                                </p>
                            </a>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="simple.html" class="nav-link">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Album</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="Image.html" class="nav-link">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Image</p>
                                    </a>
                                </li>

                            </ul>
                        </li>

                    </ul>
                </nav>
                <!-- /.sidebar-menu -->
            </div>
            <!-- /.sidebar -->
        </aside>

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <section class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6">
                            <h1>Blank Page</h1>
                        </div>
                        <div class="col-sm-6">
                            <ol class="breadcrumb float-sm-right">
                                <li class="breadcrumb-item"><a href="#">Home</a></li>
                                <li class="breadcrumb-item active">Blank Page</li>
                            </ol>
                        </div>
                    </div>
                </div><!-- /.container-fluid -->
            </section>

            <!-- Main content -->
            <section class="content">

                <h1>Image</h1>
                <div class="row">
                    <div class="col-sm-3 text-right">
                        <label for="">List Album</label>
                    </div>
                    <div class="col-sm-4">
                        <select name="" id="select-album" class="form-control"></select>
                    </div>
                    <div class="col-sm-5">
                        <button id="btn-add" class="btn btn-success">Add Image</button>
                    </div>


                </div>


                <table class="table table-bordered table-striped" id="table-image">
                    <thead>
                        <tr>
                            <th>STT</th>
                            <th>imageCode</th>
                            <th>imageName</th>
                            <th>urlImage</th>
                            <th>descriptImage</th>
                            <th>createImage</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                </table>
                <div id="modal-image" class="modal" tabindex="-1" role="dialog">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title">Album</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                <label for="">ImageCode</label>
                                <input type="text" id="inp-add-code" class="form-control">
                                <label for="">ImageName</label>
                                <input type="text" id="inp-add-name" class="form-control">
                                <label for="">ImageDescript</label>
                                <input type="text" id="inp-add-des" class="form-control">
                                <label for="">UrlIamge</label>
                                <input type="text" id="inp-add-url" class="form-control">
                            </div>
                            <div class="modal-footer">
                                <button id="btn-add-save" type="button" class="btn btn-primary">Save changes</button>
                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- modalupdate -->
                <div id="modal-image-update" class="modal" tabindex="-1" role="dialog">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title">Album</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                <label for="">ImageCode</label>
                                <input type="text" id="inp-up-code" class="form-control">
                                <label for="">ImageName</label>
                                <input type="text" id="inp-up-name" class="form-control">
                                <label for="">ImageDescript</label>
                                <input type="text" id="inp-up-des" class="form-control">
                                <label for="">UrlIamge</label>
                                <input type="text" id="inp-up-url" class="form-control">
                            </div>
                            <div class="modal-footer">
                                <button id="btn-update-save" type="button" class="btn btn-primary">Save changes</button>
                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                            </div>
                        </div>
                    </div>
                </div>

                <!-- modal delete -->
                <div id="modal-image-delete" class="modal" tabindex="-1" role="dialog">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title">Image</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">

                            </div>
                            <div class="modal-footer">
                                <button id="btn-delete-save" type="button" class="btn btn-primary">Delete Image</button>
                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                            </div>
                        </div>
                    </div>
                </div>

            </section>
            <!-- /.content -->
        </div>
        <!-- /.content-wrapper -->

        <footer class="main-footer">
            <div class="float-right d-none d-sm-block">
                <b>Version</b> 3.2.0
            </div>
            <strong>Copyright &copy; 2014-2021 <a href="https://adminlte.io">AdminLTE.io</a>.</strong> All rights
            reserved.
        </footer>

        <!-- Control Sidebar -->
        <aside class="control-sidebar control-sidebar-dark">
            <!-- Control sidebar content goes here -->
        </aside>
        <!-- /.control-sidebar -->
    </div>
    <!-- ./wrapper -->

    <!-- jQuery -->
    <!-- jQuery -->
    <script src="plugins/jquery/jquery.min.js"></script>
    <!-- Bootstrap 4 -->
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
    <!-- AdminLTE App -->
    <script src="dist/js/adminlte.min.js"></script>
    <!-- AdminLTE App -->
    <script src="plugins/datatables/jquery.dataTables.min.js"></script>
    <script src="plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
    <script>
        "user strict"
        // *******Region1 Global****//
        const gBSAE_URL_IMAGE = "http://localhost:8080/image/";
        const gBSAE_URL_ALBUM = "http://localhost:8080/album/";
        const gCOL_NAME = ["stt", "imageCode", "imageName", "urlImage", "descriptImage", "createImage", "action"];
        var gSTT = 0;

        // *****Region2 Gán thực thi sự kiện****//
        $(document).ready(function () {

            onTable();
            onLoadDataTable();
            onLoadSelectAlbum();
            var gAlbum = $("#select-album");
            $("#btn-add").on("click", function () {
                $("#modal-image").modal('show');
            })
            $("#btn-add-save").on("click", function () {
                var vId = gAlbum.val();
                onBtnAddImage(vId);
            })
            $("#table-image").on("click", ".btn-update", function () {
                var vData = getDataRow(this);
                $("#modal-image-update").modal('show');
                fillDataUpdate(vData);
                $("#btn-update-save").on("click", function () {
                    onBtnUpdateImage(vData.id);
                })

            })
            $("#table-image").on("click", ".btn-delete", function () {
                var vData = getDataRow(this);
                $("#modal-image-delete").modal('show');

                $("#btn-delete-save").on("click", function () {
                    onBtnDeleteImage(vData.id);
                })

            })


        })
        // *****Region3 Khai báo hàm xử lý ****//
        function onTable() {
            $("#table-image").DataTable({
                columns: [
                    { data: gCOL_NAME[0] },
                    { data: gCOL_NAME[1] },
                    { data: gCOL_NAME[2] },
                    { data: gCOL_NAME[3] },
                    { data: gCOL_NAME[4] },
                    { data: gCOL_NAME[5] },
                    { data: gCOL_NAME[6] },


                ],
                columnDefs: [
                    {
                        targets: 6,
                        defaultContent: '<button class="btn btn-primary btn-update">Sửa</button>' + '<button class="btn btn-danger btn-delete">Xóa</button>'
                    },
                    {
                        targets: 0,
                        render: function changeStt() {
                            return gSTT++;
                        }

                    }
                ]
            })
        }
        function onLoadDataTable() {
            $.ajax({
                url: gBSAE_URL_IMAGE + "all",
                type: "GET",
                success: function (paramRes) {
                    onDrawTable(paramRes);
                    console.log(paramRes);
                },
                error: function (paramErr) {
                    alert(paramErr.status);
                }
            })
        }
        function onLoadSelectAlbum() {
            $.ajax({
                url: gBSAE_URL_ALBUM + "all",
                type: "GET",
                success: function (paramRes) {
                    handelLoadAlbum(paramRes);
                },
                error: function (paramErr) {
                    alert(paramErr.status);
                }
            })
        }
        function onBtnAddImage(vId) {
            var vObjImage = {
                imageCode: "",
                imageName: "",
                descriptImage: "",
                createImage: "",
                urlImage: "",

            }
            thuThapThongTin(vObjImage);
            $.ajax({
                url: gBSAE_URL_IMAGE + "create/" + vId,
                type: "POST",
                data: JSON.stringify(vObjImage),
                contentType: "application/json; charset=utf-8",
                success: function (paramRes) {
                    handleAddImage();
                },
                error: function (paramErr) {
                    alert(paramErr.status);
                }

            })
        }
        function onBtnUpdateImage(paramId) {
            var vObjImage = {
                imageCode: "",
                imageName: "",
                descriptImage: "",

                urlImage: "",

            }
            thuThapThongTinUpdate(vObjImage);
            $.ajax({
                url: gBSAE_URL_IMAGE + "update/" + paramId,
                type: "PUT",
                data: JSON.stringify(vObjImage),
                contentType: "application/json; charset=utf-8",
                success: function (paramRes) {
                    alert("update image success");
                    location.reload();
                },
                error: function (paramErr) {
                    alert(paramErr.status);
                }

            })
        }
        function onBtnDeleteImage(vId) {
            $.ajax({
                url: gBSAE_URL_IMAGE + "delete/" + vId,
                type: "DELETE",
                success: function (paramRes) {
                    alert("delete Image success");
                    location.reload();
                }
            })
        }

        // ***Region4 khai báo hàm dùng chung***//
        function onDrawTable(paramData) {
            gSTT = 1;
            var vTable = $("#table-image").DataTable();
            vTable.clear();
            vTable.rows.add(paramData);
            vTable.draw();
        }
        function getDataRow(paramElement) {
            var vTable = $("#table-image").DataTable();
            var vrow = $(paramElement).closest("tr");
            var vData = vTable.row(vrow).data();
            return vData;
        }
        function thuThapThongTin(paramObj) {
            paramObj.imageName = $("#inp-add-name").val();
            paramObj.imageCode = $("#inp-add-code").val();
            paramObj.descriptImage = $("#inp-add-des").val();
            paramObj.urlImage = $("#inp-add-url").val();
        }
        function handleAddImage() {
            alert("Add Album success");
            location.reload();
        }
        function thuThapThongTinUpdate(paramObj) {
            paramObj.imageName = $("#inp-up-name").val();
            paramObj.imageCode = $("#inp-up-code").val();
            paramObj.descriptImage = $("#inp-up-des").val();
            paramObj.urlImage = $("#inp-up-url").val();

        }
        function fillDataUpdate(paramData) {
            $("#inp-up-name").val(paramData.imageName);
            $("#inp-up-code").val(paramData.imageCode);
            $("#inp-up-des").val(paramData.descriptImage);
            $("#inp-up-url").val(paramData.urlImage);

        }
        function handelLoadAlbum(paramRes) {
            for (var bI = 0; bI < paramRes.length; bI++) {
                $("#select-album").append($("<option/>", {
                    text: paramRes[bI].albumName,
                    value: paramRes[bI].id,
                }))
            }
        }

    </script>
</body>

</html>